function love.load()
	w, h = love.graphics.getDimensions()
	angle = 0
end

function love.update(dt)  angle = angle + math.pi*dt  end

function rotate(angle)
	local kx, ky = -math.tan(angle/2), math.sin(angle)
	love.graphics.shear(kx, 0)
	love.graphics.shear(0, ky)
	love.graphics.shear(kx, 0)
end

function love.draw()
	love.graphics.translate(w/2, h/2)
	rotate(angle)
	love.graphics.rectangle('fill', -w/8, -w/12, w/4, w/6)
end
